Skip to main content
POST
/
v1
/
invoices
/
{id}
/
mark_uncollectible
Mark Invoice Uncollectible
curl --request POST \
  --url https://api.withflex.com/v1/invoices/{id}/mark_uncollectible \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.withflex.com/v1/invoices/{id}/mark_uncollectible"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/invoices/{id}/mark_uncollectible', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "invoice": {
    "invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "total": 2500,
    "amount_due": 2500,
    "amount_paid": 2500,
    "charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "period_end": "string",
    "period_start": "string",
    "paid_at": "string",
    "status": "draft",
    "collection_method": "charge_automatically",
    "test_mode": false,
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "created_at": "2026-06-15T14:30:00Z"
  }
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
{
"code": "string",
"detail": "string"
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

id
string
required
Example:

"fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

Response

Success

An envelope wrapping a single invoice object.

invoice
object
required

The invoice object.

Example:
{
"invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"total": 2500,
"amount_due": 2500,
"amount_paid": 2500,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"period_end": "string",
"period_start": "string",
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"paid_at": "string",
"status": "draft",
"collection_method": "charge_automatically",
"test_mode": false,
"metadata": { "order_id": "8842", "channel": "shopify" },
"created_at": "2026-06-15T14:30:00Z"
}